# RandomSource Interface Reference
[Mathematical utilities]

Inheritance diagram for RandomSource:
[legend]

List of all members.

## Public Member Functions

| getBytes ($numberOfBytes)

## Detailed Description

Definition at line 15 of file RandomSource.class.php.

## Member Function Documentation

RandomSource::getBytes | ( | $ | numberOfBytes | ) |

Implemented in FileRandomSource, and MtRandomSource.

Referenced by GmpBigIntegerFactory::makeRandom().

The documentation for this interface was generated from the following file:

- main/Math/RandomSource.class.php